com.google.appengine.tools.development.testing

## Class LocalUserServiceTestConfig

- java.lang.Object
- - com.google.appengine.tools.development.testing.LocalUserServiceTestConfig

- All Implemented Interfaces:
    LocalServiceTestConfig

      public class LocalUserServiceTestConfig
      extends java.lang.Object
      implements LocalServiceTestConfig

  Config for accessing the local user service in tests.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalUserServiceTestConfig()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LocalUserService` | `getLocalUserService()`
    `java.lang.String` | `getOAuthAuthDomain()` Return configured auth domain.
    `java.lang.String` | `getOAuthConsumerKey()` Return configured consumer key.
    `java.lang.String` | `getOAuthEmail()` Return configured email.
    `java.lang.Boolean` | `getOAuthIsAdmin()` Return configured isAdmin value.
    `java.lang.String` | `getOAuthUserId()` Return configured user ID.
    `LocalUserServiceTestConfig` | `setOAuthAuthDomain(java.lang.String oauthAuthDomain)` Auth domain to return from `com.google.appengine.api.oauth#getCurrentUser`.
    `LocalUserServiceTestConfig` | `setOAuthConsumerKey(java.lang.String oauthConsumerKey)` Consumer key to return from `com.google.appengine.api.oauth#getOAuthConsumerKey`.
    `LocalUserServiceTestConfig` | `setOAuthEmail(java.lang.String oauthEmail)` Email to return from `com.google.appengine.api.oauth#getCurrentUser`.
    `LocalUserServiceTestConfig` | `setOAuthIsAdmin(boolean oauthIsAdmin)` Value to return from `com.google.appengine.api.oauth#isUserAdmin`.
    `LocalUserServiceTestConfig` | `setOAuthUserId(java.lang.String oauthUserId)` User ID to return from `com.google.appengine.api.oauth#getCurrentUser`.
    `void` | `setUp()` Set up the local service.
    `void` | `tearDown()` Tear down the local service.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalUserServiceTestConfig

          public LocalUserServiceTestConfig()

  - ### Method Detail

    - #### setOAuthConsumerKey

          public LocalUserServiceTestConfig setOAuthConsumerKey(java.lang.String oauthConsumerKey)

      Consumer key to return from `com.google.appengine.api.oauth#getOAuthConsumerKey`.
      Parameters:
        `oauthConsumerKey` -
      Returns:
        `this` (for chaining)

    - #### getOAuthConsumerKey

          public java.lang.String getOAuthConsumerKey()

      Return configured consumer key.
      Returns:
        configured consumer key.

    - #### setOAuthEmail

          public LocalUserServiceTestConfig setOAuthEmail(java.lang.String oauthEmail)

      Email to return from `com.google.appengine.api.oauth#getCurrentUser`.
      Parameters:
        `oauthEmail` -
      Returns:
        `this` (for chaining)

    - #### getOAuthEmail

          public java.lang.String getOAuthEmail()

      Return configured email.
      Returns:
        configured email.

    - #### setOAuthUserId

          public LocalUserServiceTestConfig setOAuthUserId(java.lang.String oauthUserId)

      User ID to return from `com.google.appengine.api.oauth#getCurrentUser`.
      Parameters:
        `oauthUserId` -
      Returns:
        `this` (for chaining)

    - #### getOAuthUserId

          public java.lang.String getOAuthUserId()

      Return configured user ID.
      Returns:
        configured user ID.

    - #### setOAuthAuthDomain

          public LocalUserServiceTestConfig setOAuthAuthDomain(java.lang.String oauthAuthDomain)

      Auth domain to return from `com.google.appengine.api.oauth#getCurrentUser`.
      Parameters:
        `oauthAuthDomain` -
      Returns:
        `this` (for chaining)

    - #### getOAuthAuthDomain

          public java.lang.String getOAuthAuthDomain()

      Return configured auth domain.
      Returns:
        configured auth domain.

    - #### setOAuthIsAdmin

          public LocalUserServiceTestConfig setOAuthIsAdmin(boolean oauthIsAdmin)

      Value to return from `com.google.appengine.api.oauth#isUserAdmin`.
      Parameters:
        `oauthIsAdmin` -
      Returns:
        `this` (for chaining)

    - #### getOAuthIsAdmin

          public java.lang.Boolean getOAuthIsAdmin()

      Return configured isAdmin value.
      Returns:
        configured isAdmin value.

    - #### setUp

          public void setUp()

      Description copied from interface: `LocalServiceTestConfig`
      Set up the local service.
      Specified by:
        `setUp` in interface `LocalServiceTestConfig`

    - #### tearDown

          public void tearDown()

      Description copied from interface: `LocalServiceTestConfig`
      Tear down the local service.
      Specified by:
        `tearDown` in interface `LocalServiceTestConfig`

    - #### getLocalUserService

          public static LocalUserService getLocalUserService()